Type
TArr=Array[1..100,1..100] of integer;
VAR n:byte;
    a:Tarr;
    p:byte;
Procedure Input(n,p:byte;Var a:TArr);
Var i,j:byte;
Begin
 For i:=1 to p do
  for j:=1 to n do read(a[i,j]);
End;
Function IsTrue(p,n:byte;a:Tarr):Boolean;
Var i,l:byte;
    max,min:byte;
Begin
 max:=a[p,1];
 l:=0;
 for i:=2 to n-1 do if a[p,i]>max then max:=a[p,i];
 for i:=1 to n do if max=a[p,i] then inc(l);
 l:=l;
 if l>(n div 2) then IsTrue:=true
                else IsTrue:=false;
End;
Procedure Simple(n,p:byte;a:Tarr);
Var i:byte;
Begin
 for i:=1 to n do begin
 if (IsTrue(p,i,a)) then writeln(i);
                 End;
End;
BEGIN
 read(n,p);
 input(n,p,a);
 Simple(n,p,a);
End.